Bug 15114 - warning on purchase suggestions is inaccurate
Summary: warning on purchase suggestions is inaccurate
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-03 13:45 UTC by Nicole C. Engard
Modified: 2017-06-14 22:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
error (18.81 KB, image/png)
2015-11-03 13:45 UTC, Nicole C. Engard
Details
Bug 15114: Fix typo in opac-suggestion template (1.51 KB, patch)
2015-11-13 15:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15114: Fix typo in opac-suggestion template (1.65 KB, patch)
2015-11-16 18:40 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 15114: Fix typo in opac-suggestion template (1.72 KB, patch)
2015-11-16 20:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-11-03 13:45:37 UTC
Created attachment 44333 [details]
error

When on the purchase suggestions page in the OPAC if there are no suggestions you get a warning "You are not authorized to see pending purchase suggestions."

But once you add a suggestion that goes away.
Comment 1 Jonathan Druart 2015-11-13 15:46:47 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2015-11-16 18:40:04 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-11-16 20:05:09 UTC
Created attachment 44890 [details] [review]
[PASSED QA] Bug 15114: Fix typo in opac-suggestion template

There is a $ in front of the loggedinusername variable, which is
obviously not what is expected here.

It fixes the wrong warning message "You are not authorized to see
pending purchase suggestions." when it should be "There are no pending
purchase suggestions."

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-11-17 13:00:08 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Frédéric Demians 2015-11-29 21:09:19 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 6 Liz Rea 2016-01-06 21:23:22 UTC
Pushed to 3.18.13, and released.